Bug 258978 - databases/mongodb50: update to 5.0.3
Summary: databases/mongodb50: update to 5.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yasuhiro Kimura
URL: https://docs.mongodb.com/manual/relea...
Keywords: needs-qa, security
Depends on:
Blocks:
 
Reported: 2021-10-07 07:30 UTC by Ronald Klop
Modified: 2021-10-27 08:37 UTC (History)
3 users (show)

See Also:
fernape: merge-quarterly?


Attachments
git diff (3.01 KB, patch)
2021-10-07 07:30 UTC, Ronald Klop
ronald-lists: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2021-10-07 07:30:35 UTC
Created attachment 228492 [details]
git diff

- Version bump
- Enable outline-atomics on aarch64 and recent 14-CURRENT
- Add some documents to the plist
- portlint: ok
- poudriere stage-qa: ok
Comment 1 Fernando Apesteguía freebsd_committer 2021-10-08 07:14:53 UTC
Q/A:  Makefile: [37]: use a tab (not space) after a variable name
 Makefile: [38]: use a tab (not space) after a variable name
 Makefile: [40]: use a tab (not space) after a variable name
 Makefile: [41]: use a tab (not space) after a variable name
 Makefile: [68]: BROKEN messages should begin with a lowercase letter and end without a period.
 Makefile: "BROKEN" has to appear earlier.

^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html

Merge to Q4 because of this?

SERVER-57716 Partial certificate chain in PEM causes validation failure in OCSP

Thanks!
Comment 2 Ronald Klop 2021-10-08 09:23:04 UTC
(In reply to Fernando Apesteguía from comment #1)
- I'll fix the tab vs spaces thing in the next update.
- I already planned to remove the BROKEN line in the next update, because it only handles older 14 versions which are not in use on the official pkg cluster anymore.
- Merge to Q4 is fine by me. Although MongoDB did not issue a CVE report or something similar.
Comment 3 Yasuhiro Kimura freebsd_committer 2021-10-09 01:30:28 UTC
Take.
Comment 4 commit-hook freebsd_committer 2021-10-25 07:14:20 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4188e64d9c31afbe314f032852a0aa45a77d2c46

commit 4188e64d9c31afbe314f032852a0aa45a77d2c46
Author:     Ronald Klop <ronald-lists@klop.ws>
AuthorDate: 2021-10-09 05:39:00 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2021-10-25 07:12:16 +0000

    databases/mongodb50: Update to 5.0.3

    * Enable LSE atomics on 14-CURRENT aarch64
    * Pet portlint and portclippy
    * Reformat Makefile with portfmt

    ChangeLog:      https://docs.mongodb.com/manual/release-notes/5.0-changelog/#5.0.3-changelog
    PR:             258978
    Approved by:    meta (mentor)
    Differential Revision:  https://reviews.freebsd.org/D32391

 databases/mongodb50/Makefile               | 53 +++++++++++++++++-------------
 databases/mongodb50/distinfo               |  6 ++--
 databases/mongodb50/files/patch-SConstruct | 10 ------
 databases/mongodb50/pkg-plist              |  4 +++
 4 files changed, 38 insertions(+), 35 deletions(-)
Comment 5 Yasuhiro Kimura freebsd_committer 2021-10-25 07:22:41 UTC
Committed with minor refinement. Thanks!